Docs: clarify cross-version tracer compatibility
authorJérémie Galarneau <jeremie.galarneau@efficios.com>
Thu, 18 Feb 2016 17:23:44 +0000 (12:23 -0500)
committerJérémie Galarneau <jeremie.galarneau@efficios.com>
Sun, 21 Feb 2016 04:11:06 +0000 (23:11 -0500)
Signed-off-by: Jérémie Galarneau <jeremie.galarneau@efficios.com>
README.md

index 8c412cd41709fcbec447aeb351a3f3bf0e5bb51d..e8038f636392afeb0fe4a01801baf99b35ad1e4d 100644 (file)
--- a/README.md
+++ b/README.md
@@ -37,8 +37,8 @@ The following items are _optional_ dependencies:
   - **[Babeltrace](https://lttng.org/babeltrace)**: trace viewer.
     Enables the use of `lttng view` command.
     - Debian/Ubuntu package: `babeltrace`
-  - **[LTTng UST](https://lttng.org) (same version as LTTng Tools)**: userspace tracer.
-    Enables the tracing of userspace applications.
+  - **[LTTng UST](https://lttng.org) (same minor version as LTTng Tools)**:
+    userspace tracer. Enables the tracing of userspace applications.
     - Debian/Ubuntu package: `liblttng-ust-dev`
   - **Perl**: needed for `make check` and tests.
   - **Python >= 3.0**: needed for `make check` and tests.
@@ -51,6 +51,16 @@ The following items are _optional_ dependencies:
     (kernel tracing).
   - **bash**: needed for running `make check`.
 
+LTTng-tools supports both the [LTTng Linux Kernel tracer](https://lttng.org)
+and [LTTng user space tracer](https://lttng.org) released as part of the same
+**minor** release series. While some releases do not change the tracer ABIs and
+should work with, no testing is performed to ensure cross-version compatibility
+is maintained.
+
+Note that applications instrumented with older versions of the LTTng UST project
+do not have to be rebuilt or modified to work with the latest LTTng-tools.
+For more information on versioning, please refer to the
+[LTTng documentation](https://lttng.org/docs).
 
 Building
 --------
This page took 0.033871 seconds and 4 git commands to generate.